using System;
using NinjaTrader.Cbi;

internal sealed class Delegate349 : MulticastDelegate
{
	public extern Exchange Invoke(object object_0);

	public static Exchange smethod_0(object object_0, Delegate349 delegate349_1)
	{
		return delegate349_1(object_0);
	}

	public extern Delegate349(object object_0, IntPtr intptr_0);

	static Delegate349()
	{
		Class10.smethod_13(typeof(Delegate349).TypeHandle);
	}

	internal static Delegate349 delegate349_0;
}
